Foreman - Bug #28885

bug in virtual machine api in compute resource
01/29/2020 02:48 PM - yifat makias

Status: Closed

Priority: Normal

Assignee: yifat makias
Category: Compute resources

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7495
Description

2 things needed to be fixed in virtual machine API:
1. adding provider field to show_vm - in order to be able to identify which compute resource, we are dealing with in hammer.
2. fixing the API for GCE - find_vm_by_uuid needs to get the full name in GCE and not the id.

Related issues:
Related to Hammer CLI - Bug #20451: Hammer compute-resource lacks commands fo... Closed

Associated revisions

Revision fdOb39ac - 03/11/2020 07:35 AM - yifat makias
Fixes #28885 - added provider field to virtual machine api

History

#1 - 03/09/2020 12:35 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7495 added

#2 - 03/11/2020 07:35 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 03/11/2020 08:01 AM - yifat makias
- Status changed from Ready For Testing to Closed

Applied in changeset {d0b39ac457617823b44e4a66e45e0b2573dact6.

#4 - 03/12/2020 07:41 AM - yifat makias

- Related to Bug #20451: Hammer compute-resource lacks commands for virtual machine added

#5 - 03/12/2020 07:43 AM - yifat makias

2 things needed to be fixed in virtual machine API:
1. adding provider field to show_vm - in order to be able to identify which compute resource, we are dealing with in hammer.
2. fixing the API for GCE - find_vm_by_uuid needs to get the full name in GCE and not the id.

The second issue is not really an issue. Apparently it didn't work before because of the problematic fields that were excluded in this fix. In addition, a

comment was added to the hammer help documentation so that users will know how to use this command properly when dealing with GCE compute
resource (use VM name instead of VM id).
